curl --request POST \
--url https://api.hubapi.com/crm/v3/lists/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingType": "DYNAMIC"
}
'{
"list": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:16:52.165Z",
"listId": "1",
"listVersion": 1,
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T18:16:52.395Z",
"updatedById": "123"
}
}Create a new list with the provided object list definition.
curl --request POST \
--url https://api.hubapi.com/crm/v3/lists/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingType": "DYNAMIC"
}
'{
"list": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:16:52.165Z",
"listId": "1",
"listVersion": 1,
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T18:16:52.395Z",
"updatedById": "123"
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The request object used when creating a new object list.
The name of the list, which must be globally unique across all public lists in the portal.
The object type ID of the type of objects that the list will store.
The processing type of the list. One of: SNAPSHOT, MANUAL, or DYNAMIC.
The list of custom properties to tie to the list. Custom property name is the key, the value is the value.
Show child attributes
Filter branch object containing filtering criteria for the list
Show child attributes
The ID of the folder that the list should be created in. If left blank, then the list will be created in the root of the list folder structure.
Show child attributes
Show child attributes
successful operation
The response for a list create request.
An object list definition.
Show child attributes
Was this page helpful?